summaryrefslogtreecommitdiff
path: root/sys-process/incron/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
commit4f2d7949f03e1c198bc888f2d05f421d35c57e21 (patch)
treeba5f07bf3f9d22d82e54a462313f5d244036c768 /sys-process/incron/files
reinit the tree, so we can have metadata
Diffstat (limited to 'sys-process/incron/files')
-rw-r--r--sys-process/incron/files/incron-0.5.10+gcc-4.7.patch12
-rw-r--r--sys-process/incron/files/incrond.init20
-rw-r--r--sys-process/incron/files/incrond.service9
3 files changed, 41 insertions, 0 deletions
diff --git a/sys-process/incron/files/incron-0.5.10+gcc-4.7.patch b/sys-process/incron/files/incron-0.5.10+gcc-4.7.patch
new file mode 100644
index 000000000000..a1b690510f34
--- /dev/null
+++ b/sys-process/incron/files/incron-0.5.10+gcc-4.7.patch
@@ -0,0 +1,12 @@
+Index: incron-0.5.10/icd-main.cpp
+===================================================================
+--- incron-0.5.10.orig/icd-main.cpp
++++ incron-0.5.10/icd-main.cpp
+@@ -24,6 +24,7 @@
+ #include <dirent.h>
+ #include <syslog.h>
+ #include <errno.h>
++#include <unistd.h>
+ #include <sys/poll.h>
+ #include <sys/stat.h>
+ #include <cstdio>
diff --git a/sys-process/incron/files/incrond.init b/sys-process/incron/files/incrond.init
new file mode 100644
index 000000000000..511364eafafc
--- /dev/null
+++ b/sys-process/incron/files/incrond.init
@@ -0,0 +1,20 @@
+#!/sbin/openrc-run
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ use clock logger
+ need localmount
+}
+
+start() {
+ ebegin "Starting incrond"
+ start-stop-daemon --start --pidfile /var/run/incrond.pid --exec /usr/sbin/incrond -- -f /etc/incron.conf
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping incrond"
+ start-stop-daemon --stop --pidfile /var/run/incrond.pid
+ eend $?
+}
diff --git a/sys-process/incron/files/incrond.service b/sys-process/incron/files/incrond.service
new file mode 100644
index 000000000000..a3d2a9b0b3bb
--- /dev/null
+++ b/sys-process/incron/files/incrond.service
@@ -0,0 +1,9 @@
+[Unit]
+Description=Inotify System Scheduler
+
+[Service]
+ExecStart=/usr/sbin/incrond --foreground -f /etc/incron.conf
+
+[Install]
+WantedBy=multi-user.target
+